View Issue Details

IDProjectCategoryView StatusLast Update
16834Bug reportsTheme editorpublic2021-04-29 14:54
Reportergabrieljenik Assigned Togabrieljenik  
PrioritylowSeveritypartial_block 
Status reviewResolutionopen 
Product Version4.3.27 
Summary16834: When importing a theme bigger in size than the allowed PHP.ini settings, there is no proper description of the error
DescriptionClone of 16733, which was for LTS.
This is for master

---

When importing a theme bigger in size than the allowed PHP.ini settings, there is no proper description of the error
Instead of getting a "File to Big error", we got a CRSF token error. Very missleading
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.3.27
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Relationships

related to 16733 closedgabrieljenik When importing a theme bigger in size than the allowed PHP.ini settings, there is no proper description of the error 

Activities

gabrieljenik

gabrieljenik

2021-04-29 14:54

manager   ~64188

Created UploadValidator service helper.

Fix applied to:
- Theme import (Themes list and Theme editor)
- File upload in Theme editor (uploading files to a theme)
- Image upload (in global theme options)
- Image upload (in survey theme options
- CPDB (Import CSV)
- Labelset import
- Token import
- Question import (had to add 'action' and 'sid' to the URL)

There are few which could be pending

These are pending to be fixed:
- UploaderController
- questiongroups
- surveyadmin - Import survey - Need to split the method (used for copy and import), or move the 'action' to the URL.
- frontend_helper, checkUploadedFileValidity ?
- dataentry - Import VV file (need to split the method or assume an upload action when the request is POST)

Issue History

Date Modified Username Field Change
2020-11-16 17:23 gabrieljenik New Issue
2020-11-16 17:23 gabrieljenik Status new => assigned
2020-11-16 17:23 gabrieljenik Assigned To => gabrieljenik
2020-11-16 17:23 gabrieljenik Issue generated from: 16733
2020-11-16 17:23 gabrieljenik Relationship added related to 16733
2021-03-10 21:07 ollehar Priority none => low
2021-04-29 14:54 gabrieljenik Note Added: 64188
2021-04-29 14:54 gabrieljenik Status assigned => review